Package org.jmock.core.matcher

# Class NoArgumentsMatcher

java.lang.Object
org.jmock.core.matcher.StatelessInvocationMatcher
org.jmock.core.matcher.NoArgumentsMatcher

All Implemented Interfaces:
  `InvocationMatcher`, `SelfDescribing`, `Verifiable`

public class NoArgumentsMatcher extends StatelessInvocationMatcher

## Field Summary

Fields
Modifier and Type
Field
Description
`static final NoArgumentsMatcher`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`NoArgumentsMatcher()`

## Method Summary

Modifier and Type
Method
Description
`StringBuffer`
`describeTo(StringBuffer buffer)`
Appends the description of this object to the buffer.
`boolean`
`matches(Invocation invocation)`

### Methods inherited from class org.jmock.core.matcher.StatelessInvocationMatcher

`hasDescription, invoked, verify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final NoArgumentsMatcher INSTANCE

## Constructor Details

### NoArgumentsMatcher

public NoArgumentsMatcher()

## Method Details

### matches

public boolean matches(Invocation invocation)

### describeTo

public StringBuffer describeTo(StringBuffer buffer)
Description copied from interface: `SelfDescribing`
Appends the description of this object to the buffer.

Parameters:
  `buffer` - The buffer that the description is appended to.
Returns:
  The buffer passed to the invokedMethod.